Bug 1293255 - Improving tempest docs/run and results for users
Improving tempest docs/run and results for users
Status: CLOSED WONTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tempest (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
unspecified Severity high
: ---
: 7.0 (Kilo)
Assigned To: Daniel Mellado
tkammer
: Automation, Reopened, UserExperience, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-21 04:06 EST by Ofer Blaut
Modified: 2016-10-14 09:15 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-14 09:15:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ofer Blaut 2015-12-21 04:06:39 EST
Description of problem:

In order to improve running tempest on ospd setup with need the following.

1. Tempest readme file should be located in /home/stack folder
2. read me file should contain better use experience like found in 
https://repos.fedorapeople.org/repos/openstack-m/rdo-manager-docs/liberty/basic_deployment/basic_deployment_cli.html
:


we should use script to create the the folder and links :/usr/share/openstack-tempest-liberty/tools/configure-tempest-directory ( version - liberty should not be  used )

3. run should be as tools/run-tests.sh 

4. test result should be with html readable output ( same like by jenkis )
using subunit2html which is not part of the installation ( can't install python-os-testr)

5. we should document the need to create external network/router/ private network naming nova 

6. Document should be ordered with simple tests and later explanation 



 


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Daniel Mellado 2016-05-20 05:52:07 EDT
This should be assigned to documentation team, closing it for now

Note You need to log in before you can comment on or make changes to this bug.